Subject: [Ips] iSCSI: Session continuation and ERL=0

From: "Pittman, Joseph" <[email-masked]>
Date: Wed, 8 Dec 2004 09:49:02 -0500

I have a question about session continuation and ErrorRecoveryLevel=0
sessions. 
 
In short:
  In an ERL=0 session, is a session allowed to persist beyond
  the loss of its last constituent TCP connection?
 
I think the answer is yes, and my reasoning is based partly on
text in Section 5.3.6 of RFC3720.  That section describes
Session Continuation as
 
 "the process by which a preexisting session continues to be used
  by connection reinstatement... or by adding a connection
  with a new CID."
 
No mention is made of ErrorRecoveryLevel.  This leads me to think
that as long as the target supports session continuation in this
case, and as long as the initiator adds a new connection to the
session in a timely fashion, the session can survive loss of its
last TCP connection.

In general, my understanding is that, whenever ANY connection is
terminated on an ERL=0 session, all commands allegiant to THAT
connection are immediately terminated at the target.  But the
session can survive loss of any individual connection, subject to
target-imposed Time2Retain timeout after loss of the LAST connection.

Is my understanding correct?  Or am I missing something?
 
Thanks in advance, either for confirmation, or for setting me
straight.
 
--
Joe Pittman
[email-masked] <mailto:[email-masked]> 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: "Mallikarjun C." <[email-masked]>
Date: Wed, 08 Dec 2004 17:13:25 -0800

Joseph,

Your understanding is correct.

Mallikarjun

Mallikarjun Chadalapaka
Networked Storage Architecture
Network Storage Solutions
Hewlett-Packard MS 5668
Roseville CA 95747
cbm [at] rose.hp.com

Pittman, Joseph wrote:
> ------------------------------------------------------------------------
>

---

From: "Mallikarjun C." <[email-masked]>
Date: Thu, 09 Dec 2004 10:11:36 -0800

Two follow-up comments.

 >But the

- Note that it's actually Time2Retain after the initial respite time - 
i.e. (Time2Wait+Time2Retain) in all.  The spec is clear on this in 
12.15, but 12.16 unfortunately is a bit less clear.

- Someone had pointed out to me offline that "session can survive" 
might be taken to mean "session along with the tasks".  Just to be clear 
on the list, the tasks do not survive in level 0 operation, it is just 
the I_T nexus that survives, post-continuation.  This may be of 
questionable value to some configurations (and thus can be disabled via 
zero-valued timers), while some may like it for its value in avoiding 
SCSI-level clearing effects.

Mallikarjun

Mallikarjun Chadalapaka